Docs Ali Pix /openapi/v2/video/transition/generate
API reference

Generate video from first and last frames

Generate a transition video from first/last frame images; supports camera moves, sound effects, and other options.

POST/openapi/v2/video/transition/generate

Body Parametersapplication/json

duration* integer

Video generation duration v.3.5/v4/v4.5 : 5/8 (v3.5 1080p cannot be used 8) v5: 5/8 v5.5/v5.6 : 5/8/10 (1080p not available 10) v6/c1: 1~15

first_frame_img* integer

img_id obtained after uploading the image

generate_audio_switch boolean

Support v5.5, v5.6, v6,c1 using / to control the switch Audio. true: Audio on, false: Audio off

last_frame_img* integer

img_id obtained after uploading the image

lip_sync_tts_content string

~140Chracters (UTF-8). You can enter the desired tts content Applicable scope: "v3.5","v4","v4.5","v5"

lip_sync_tts_speaker_id string

Get the id of the TTS tone Applicable scope: "v3.5","v4","v4.5","v5"

lip_sync_tts_switch boolean

true, false If you want to use lip sync together, please pass it as true

model* string

Model "v3.5","v4","v4.5", "v5","v5.5","v5.6","v6","c1"

motion_mode string

"normal","fast". "fast" does not support 8s, "v5" does not support this field

prompt* string

Within 2048 Characters

quality* string

"360p","540p","720p","1080p"

seed integer

Transmittable random number 0 - 2147483647

sound_effect_content string

You can enter the desired sound effects. If not filled in, the sound effects will be generated based on the video content.

sound_effect_switch boolean

v5 or below or can be used when there is template_id.true, false If you want to use sound_effect together, please pass it as true

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"duration": 5,
3"first_frame_img": 0,
4"last_frame_img": 0,
5"model": "v4.5",
6"motion_mode": "normal",
7"prompt": "trasnfrom into character",
8"quality": "540p",
9"seed": 937433858
10}
Code Sample cURL
1curl -X POST "https://api.digislash.com/openapi/v2/video/transition/generate" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"duration": 5,
6"first_frame_img": 0,
7"last_frame_img": 0,
8"model": "v4.5",
9"motion_mode": "normal",
10"prompt": "trasnfrom into character",
11"quality": "540p",
12"seed": 937433858
13}'
Response
1▼{
2"ErrCode": 0,
3"ErrMsg": "success",
4▼"RespData": {
5"id": 123456
6}
7}